Skip to main content
GET
/
pricebooks
/
{priceBookId}
Get Price Book
curl --request GET \
  --url https://api.secure.quotivity.com/v1/pricebooks/{priceBookId} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "accountId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "bundleOptionId": "<string>",
  "isDeleted": true,
  "effectiveStartDate": "<string>",
  "effectiveEndDate": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

priceBookId
string
required

Response

Successfully retrieved price book

id
string
required
accountId
string
required
name
string
required
description
string | null
required
bundleOptionId
string | null
isDeleted
boolean
effectiveStartDate
string | null

ISO date string (e.g. "2025-01-01"). Requires PRICE_BOOK_EFFECTIVE_DATES feature.

effectiveEndDate
string | null

ISO date string (e.g. "2025-12-31"). Requires PRICE_BOOK_EFFECTIVE_DATES feature.